<template lang="pug">
  section.trust
    .trust__wrap
      h1.trust__title.title-1 Нам доверяют
      .trust__main
        ul.trust__row
          li(v-for="item in companies" :key="'trust' + item.id").trust__elem
            a(href="item.link"): img(:src="require(`@/assets/img/${item.imgSrc}`)" :alt="item.alt")
          li(v-for="item in companies" :key="'trust-2' + item.id").trust__elem
            a(href="item.link"): img(:src="require(`@/assets/img/${item.imgSrc}`)" :alt="item.alt")
        ul.trust__row
          li(v-for="item in companies" :key="'trust-3' + item.id").trust__elem
            a(href="item.link"): img(:src="require(`@/assets/img/${item.imgSrc}`)" :alt="item.alt")
          li(v-for="item in companies" :key="'trust-4' + item.id").trust__elem
            a(href="item.link"): img(:src="require(`@/assets/img/${item.imgSrc}`)" :alt="item.alt")
        ul.trust__row
          li(v-for="item in companies" :key="'trust-5' + item.id").trust__elem
            a(href="item.link"): img(:src="require(`@/assets/img/${item.imgSrc}`)" :alt="item.alt")
          li(v-for="item in companies" :key="'trust-6' + item.id").trust__elem
            a(href="item.link"): img(:src="require(`@/assets/img/${item.imgSrc}`)" :alt="item.alt")
</template>

<script>
import axios from "axios";

export default {
  name: "vTrust",
  data() {
    return {
      endpoint: "http://localhost:3000/trust-companies",
      companies: [],
    };
  },
  methods: {
    async getCompanies() {
      try {
        const { data } = await axios.get(this.endpoint);
        this.companies = await data;
        console.log(this.companies);
      } catch (e) {
        console.log(e);
      }
    },
  },
  mounted(){
    const scene4 = this.$scrollmagic
      .scene({
        triggerElement: ".result",
        triggerHook: 0.1,
        duration: 1000,
      })
      .setTween(".trust__row", {
        css: {
          transform: "translateX(7%)",
        },
      })
    this.$scrollmagic.addScene(scene4);
  },
  created() {
    this.getCompanies();
  },
};
</script>

<style lang="scss">
.trust {
  background-color: $white;
  &__wrap {
    padding-top: 80px !important;
    padding-bottom: 10px !important;
  }
  &__title {
    margin-bottom: 74px;

    text-align: center;
  }
  &__row {
    display: flex;
    align-items: flex-end;

    margin-bottom: 86px;

    list-style: none;
    &:nth-child(1) {
      margin-left: -800px;
    }
    &:nth-child(2) {
      margin-left: -1000px;
    }
    &:nth-child(3) {
      margin-left: -780px;
    }
  }
  &__elem {
    margin-right: 90px;
  }
  &__main {
    width: 100%;
    overflow-x: hidden;
  }
}
</style>
